
// Importovanie všetkých tried z balíčka knižnica.
import knižnica.*;

// Začiatok definície triedy odvodenej
// od nadradenej triedy GRobot.
public class Raketa extends GRobot 
{
	// Definícia atribútu dištanc:
	private int dištanc = 100;

	// Konštruktor.
	public Raketa()
	{
		zdvihniPero();
		hrúbkaČiary(2.5);
		ohranič();
		veľkosť(20);
		aktivuj();
	}

	// Touto metódou nastavíme rakete dištanc
	// a presunieme ju do stredu plátna. (Budeme
	// ju volať po kolízii rakety s asteroidom.)
	public void havaruj()
	{
		skočNa(0, 0);
		dištanc = 100;
	}

	// Metóda slúžiaca na zistenie toho, či má
	// raketa práve dištanc.
	public boolean máDištanc()
	{
		return dištanc > 0;
	}

	// Reakcia aktivity je automaticky spúšťaná
	// v pravidelných časových intervaloch počas
	// toho, keď je raketa aktívna.
	@Override public void aktivita()
	{
		if (dištanc > 0)
		{
			// Počas dištancu raketa pravidelne bliká:
			if (--dištanc % 10 < 5)
				zobraz(); else skry();
		}
	}
}
